package p1;
import org.junit.*;
import report.Report;
import static org.junit.Assert.*;


public class BinarySearchTest {
	
	@Test
	public void testFind_1()
		throws Exception {
		BinarySearch fixture = new BinarySearch();
		int[] sortedValues = new int[] {};
		int value = 1;
		boolean result = fixture.find(sortedValues, value);

		// add additional test code here
		assertEquals(false, result);
	}
	
	@Test
	public void testFind_2()
		throws Exception {
		BinarySearch fixture = new BinarySearch();
		int[] sortedValues = new int[] {};
		int value = 1;

		boolean result = fixture.find(sortedValues, value);

		// add additional test code here
		assertEquals(false, result);
	}
	
	@Test
    public void testFind_3() {
		BinarySearch fixture = new BinarySearch();
		assertEquals(false,fixture.find(new int[] { 0, 2, 4, 6, 8, 10, 12, 14, 16, 18 }, 9));
    }
 
    @Test
    public void testFind_4() {
    	BinarySearch fixture = new BinarySearch();
        assertEquals(true,fixture.find(new int[] { 0, 2, 4, 6, 8, 10, 12, 14, 16 }, 0));
    }
 
    @Test
    public void testFind_5() {
    	BinarySearch fixture = new BinarySearch();
        assertEquals(true,fixture.find(new int[] { 0, 2, 4, 6, 8, 10, 12, 14, 16 }, 16));
    }
 
    @Test
    public void testFind_6() {
    	BinarySearch fixture = new BinarySearch();
        assertEquals(true,fixture.find(new int[] { 0, 2, 4, 6, 8, 10, 12, 14, 16 }, 8));
    }
 
    // covers the 'true' cases above
    @Test
    public void testFind_7() {
    	BinarySearch fixture = new BinarySearch();
        int[] sorted = new int[] { 0, 2, 4, 6, 8, 10, 12, 14, 16 };
 
        for (int i = 0; i < sorted.length; i++) {
            assertEquals(true, fixture.find(sorted, sorted[i]));
        }
    }
 
    // covers the 'false' cases above
    @Test
    public void testFind_8() {
    	BinarySearch fixture = new BinarySearch();
        int[] sorted = new int[] { 0, 2, 4, 6, 8, 10, 12, 14, 16 };
 
        assertEquals(false, fixture.find(sorted, sorted[0] - 1));   
        for (int i = 0; i < sorted.length; i++) {
            assertEquals(false, fixture.find(sorted, sorted[i] + 1));
        }       
    }

	/**
	 * Perform pre-test initialization.
	 *
	 * @throws Exception
	 *         if the initialization fails for some reason
	 *
	 * 
	 */
	@Before
	public void setUp()
		throws Exception {
		// add additional set up code here
	}

	/**
	 * Perform post-test clean-up.
	 *
	 * @throws Exception
	 *         if the clean-up fails for some reason
	 *
	 * 
	 */
	@After
	public void tearDown()
		throws Exception {
		// Add additional tear down code here
	}

	/**
	 * Launch the test.
	 *
	 * @param args the command line arguments
	 *
	 *
	 */
	/*public static void main(String[] args) {
		new org.junit.runner.JUnitCore().run(BinarySearchTest.class);
	}*/
	
	@Test
	public void jplasStocker() {
		Report.record(this.getClass().getName());
		
	}
}