package p2;
import org.junit.*;
import report.Report;
import static org.junit.Assert.*;


public class BinSortTest {
	int range = 100000;
	
	@Test
	public void testSort_1()
		throws Exception {
		int[] a = new int[] {};

		int[] result = BinSort.sort(a, range);

		// add additional test code here
		assertNotNull(result);
		assertEquals(0, result.length);
	}

	
	@Test
	public void testSort_2()
		throws Exception {
		int[] a = new int[] {1, 0, 111, 2250, 13, 567, 1};

		int[] result = BinSort.sort(a, range);

		// add additional test code here
		assertNotNull(result);
		assertEquals(7, result.length);
		assertEquals(0, result[0]);
		assertEquals(1, result[1]);
		assertEquals(1, result[2]);
		assertEquals(13, result[3]);
		assertEquals(111, result[4]);
		assertEquals(567, result[5]);
		assertEquals(2250, result[6]);
	}
	
	@Test(expected = ArrayIndexOutOfBoundsException.class)
	public void testSort_3()
		throws Exception {
		int[] a = new int[] {1, 10, 1, 13, 111, 2250, 1234, 567, 0, 21, -33121, -40};

		int[] result = BinSort.sort(a, range);
		
		assertNull(result);
	}
	
	@Test(expected = NullPointerException.class)
	public void testSort_4()
		throws Exception {
		int[] a = null;

		int[] result = BinSort.sort(a, range);
		
		assertNull(result);
	}
	
	@Before
	public void setUp()
		throws Exception {
		// add additional set up code here
	}
	
	@After
	public void tearDown()
		throws Exception {
		// Add additional tear down code here
	}


	@Test
	public void jplasStocker() {
		Report.record(this.getClass().getName());
		
	}

}
