package p4;
import org.junit.*;
import report.Report;
import static org.junit.Assert.*;


public class BubbleSort1Test {
	
	@Test
	public void testSort_1()
		throws Exception {
		int[] a = new int[] {};

		int[] result = BubbleSort1.sort(a);

		// add additional test code here
		assertNotNull(result);
		assertEquals(0, result.length);
	}


	@Test
	public void testSort_2()
		throws Exception {
		int[] a = new int[] {1, 10, 1, 13, 111, 2250, 1234, 567, 0, 21, -33121, -40};

		int[] result = BubbleSort1.sort(a);

		// add additional test code here
		assertNotNull(result);
		assertEquals(12, result.length);
		assertEquals(-33121, result[0]);
		assertEquals(-40, result[1]);
		assertEquals(0, result[2]);
		assertEquals(1, result[3]);
		assertEquals(1, result[4]);
		assertEquals(10, result[5]);
		assertEquals(13, result[6]);
		assertEquals(21, result[7]);
		assertEquals(111, result[8]);
		assertEquals(567, result[9]);
		assertEquals(1234, result[10]);
		assertEquals(2250, result[11]);
	}

	
	@Test(expected = NullPointerException.class)
	public void testSort_3()
		throws Exception {
		int[] a = null;

		int[] result = BubbleSort1.sort(a);

		// add additional test code here
		assertNull(result);
	}

	
	@Test
	public void testSort_4()
		throws Exception {
		int[] a = new int[] {};

		int[] result = BubbleSort1.sort(a);

		// add additional test code here
		assertNotNull(result);
		assertEquals(0, result.length);
	}

	
	@Before
	public void setUp()
		throws Exception {
		// add additional set up code here
	}

	
	@After
	public void tearDown()
		throws Exception {
		// Add additional tear down code here
	}

	

	@Test
	public void jplasStocker() {
		Report.record(this.getClass().getName());
		
	}
}