package p9;
import static org.junit.Assert.*;
import junit.framework.Assert;
import report.Report;
import org.junit.Test;


public class MinItemTest {
	@Test
	public void test_1() throws Exception {
		MinItem result = new MinItem();
		assertNotNull(result);
	}
	@Test
	public void test_2() throws Exception {
		MinItem result = new MinItem();
		int[] a = {};
		assertNull(result.getMin(a));
	}
	@Test
	public void test_3() throws Exception {
		MinItem result = new MinItem();
		int[] a = {1,2,3,4,5};
		Assert.assertEquals(1, result.getMin(a));
	}
	@Test
	public void test_4() throws Exception {
		MinItem result = new MinItem();
		int[] a = {3,2,1,4,5};
		Assert.assertEquals(1, result.getMin(a));
	}
	@Test
	public void test_5() throws Exception {
		MinItem result = new MinItem();
		int[] a = new int[5];
		a[3] = 1;
		Assert.assertEquals(0, result.getMin(a));
	}
	@Test
	public void test_6() throws Exception {
		MinItem result = new MinItem();
		int[] a = {3,2,1,-1,5};
		Assert.assertEquals(-1, result.getMin(a));
	}
	@Test
	public void jplasStocker() {
		Report.record(this.getClass().getName());
		
	}
}
